epp_DataCollectionPolicy (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_DataCollectionPolicy class

### org.openrtk.idl.epp0604

# Class epp_DataCollectionPolicy

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_DataCollectionPolicy`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DataCollectionPolicy`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements used to describe EPP Server's policy for data collection and management. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_DataCollectionPolicy.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `epp_Greeting`, `EPPGreeting`

  ## Field Summary
  `epp_dcpAccessType` | `m_access` The access type.
  `epp_dcpExpiry` | `m_expiry`
  `epp_dcpStatement[]` | `m_statements` The array of statement elements.

  ## Constructor Summary
  `epp_DataCollectionPolicy()` Empty constructor
  `epp_DataCollectionPolicy(epp_dcpAccessType _m_access, epp_dcpStatement[] _m_statements, epp_dcpExpiry _m_expiry)` The constructor with initializing variables.

  ## Method Summary
  `epp_dcpAccessType` | `getAccess()` Accessor method for the access type
  `epp_dcpExpiry` | `getExpiry()`
  `epp_dcpStatement[]` | `getStatements()` Accessor method for the array of statement elements
  `void` | `setAccess(epp_dcpAccessType value)` Accessor method for the access type
  `void` | `setExpiry(epp_dcpExpiry value)`
  `void` | `setStatements(epp_dcpStatement[] value)` Accessor method for the array of statement elements
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_access

    public epp_dcpAccessType m_access

> The access type.
> See Also:
>   `setAccess(epp_dcpAccessType)`, `getAccess()`

### m_expiry

    public epp_dcpExpiry m_expiry

### m_statements

    public epp_dcpStatement[] m_statements

> The array of statement elements.
> See Also:
>   `setStatements(epp_dcpStatement[])`, `getStatements()`

## Constructor Details

### epp_DataCollectionPolicy

    public epp_DataCollectionPolicy()

> Empty constructor

### epp_DataCollectionPolicy

    public epp_DataCollectionPolicy(epp_dcpAccessType _m_access,
                                    epp_dcpStatement[] _m_statements,
                                    epp_dcpExpiry _m_expiry)

> The constructor with initializing variables.
> Parameters:
>   `_m_access` - The access type
>   `_m_statements` - The array of statement elements

## Method Details

### getAccess

    public epp_dcpAccessType getAccess()

> Accessor method for the access type
> Returns:
>   value The access type
> See Also:
>   `m_access`

### getExpiry

    public epp_dcpExpiry getExpiry()

### getStatements

    public epp_dcpStatement[] getStatements()

> Accessor method for the array of statement elements
> Returns:
>   value The array of statement elements
> See Also:
>   `m_statements`

### setAccess

    public void setAccess(epp_dcpAccessType value)

> Accessor method for the access type
> Parameters:
>   `value` - The access type
> See Also:
>   `m_access`

### setExpiry

    public void setExpiry(epp_dcpExpiry value)

### setStatements

    public void setStatements(epp_dcpStatement[] value)

> Accessor method for the array of statement elements
> Parameters:
>   `value` - The array of statement elements
> See Also:
>   `m_statements`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS